/** 
 *   Camera Control for STAR I.
 *
 *   (c) Copyright 2006 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/
#define _GNU_SOURCE
#include <stdlib.h>
#include <ctype.h>

#include "filter.h"

struct filter cam_filters[] = {
	{ 'N', "None" },
        { 'B', "Blue" },
        { 'V', "Visual" },
        { 'R', "Red" },
        { 'I', "Infrared" },
	{ (char) 0, (char *)NULL }
};


#if 0
int is_filter_num(char type)
{
	int i = 0;
	char t = (char) toupper(type);
	
	while (cam_filters[i].type != 0) {
		if (cam_filters[i].type == t) {
			return i;
		}
		i++;
	}

	return -1;
}
#endif

struct filter *is_filter(char type)
{
	int i = 0;
	char t = (char) toupper(type);
	struct filter *f = NULL;
	
	while (cam_filters[i].type != 0) {
		if (cam_filters[i].type == t) {
			f = &cam_filters[i];
			break;
		}
		i++;
	}

	return f;
}
